Subject: [Gen-art] Gen-ART review of draft-murdock-nato-nid-02.txt

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Wed, 19 Nov 2014 12:01:05 +0000

I am the assigned Gen-ART reviewer for this draft. For background on Gen-ART, please see the FAQ at

<http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.

Please resolve these comments along with any other Last Call comments you may receive.

Document: draft-murdock-nato-nid-02.txt

Reviewer: Dan Romascanu

Review Date: 11/19/14

IETF LC End Date: 11/19/14

IESG Telechat date: 11/25/14

Summary: Almost Ready

Major issues:

1.       The document does not expand the acronym NATO at the first occurrence. Moreover, in section 7 it mentions 'that a standards body, like NATO' which is misleading - as NATO is not a standards body. I suggest to use the full name in the title and abstract, expand the acronym at first occurrence and correct the text in Section 7.

2.       The abstract and introduction should make clear that this is a request made according to RFC 3406 for a formal URN space type, as described in Section 4.3 of RFC 3406.

3.       As per RFC 3406, section 4.3:

Ø     The proposed template

Ø     should be sent to the:

Ø

Ø        [email-masked]

Ø     mailing list to allow for a two week discussion period for clarifying

Ø     the expression of the registration information, before the IESG

Ø     reviews the document.

Ø

I could not find in the summary written by the AD shepherd an indication whether this review occurred.

Minor issues:

Nits/editorial comments:

---

From: Barry Leiba <[email-masked]>
Date: Wed, 19 Nov 2014 08:52:35 -1000

Thanks for the review, Dan.

> 1.       The document does not expand the acronym NATO at the first
> occurrence. Moreover, in section 7 it mentions 'that a standards body, like
> NATO' which is misleading - as NATO is not a standards body. I suggest to
> use the full name in the title and abstract, expand the acronym at first
> occurrence and correct the text in Section 7.

The AD/shepherd agrees.

> 2.       The abstract and introduction should make clear that this is a
> request made according to RFC 3406 for a formal URN space type, as described
> in Section 4.3 of RFC 3406.

I suppose that I agree with that, too, though I think it's less
important.  But something like this should do nicely:

OLD
   This document describes a Uniform Resource Name (URN) namespace for
   assignment by NATO.  The current primary use is for uniquely
   identifying Extensible Markup Language (XML) artifacts that provide
   information about NATO message text formats and service
   specifications as described in various NATO standards [4],
   instructions and publications.

NEW
   This document allocates a formal Uniform Resource Name (URN)
   namespace for assignment by the North Atlantic Treaty Organization
   (NATO), as specified in RFC 3406.  The current primary use is for
   uniquely identifying Extensible Markup Language (XML) artifacts
   that provide information about NATO message text formats and
   service specifications as described in various NATO standards,
   instructions and publications.

END

(That also removes the reference ("[4]") in the abstract, as the RFC
Editor doesn't allow references in abstracts.)  And then a similar
change in the Introduction section.

> whether this review occurred.

The AD/shepherd apologises profusely for his typo: the writeup said
"uri-review", where it should have said "urn-nid".  I've corrected the
error in the writeup, and, yes, the review happened.

Ira, I'm going to move the document into IESG Evaluation state now.
Please update the I-D as soon as you can with the above minor changes.
Thanks.

Barry

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Thu, 20 Nov 2014 14:13:40 +0000

Hi Barry,

This looks reasonable, thanks for the timely response and for addressing my comments. I suggest that the editor also fixes the text in section 7. 

Regards,

Dan

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Barry Leiba
> Sent: Wednesday, November 19, 2014 8:53 PM
> To: Romascanu, Dan (Dan)
> Cc: [email-masked]; [email-masked]
> Subject: Re: Gen-ART review of draft-murdock-nato-nid-02.txt
> 
> > occurrence. Moreover, in section 7 it mentions 'that a standards body,
> > like NATO' which is misleading - as NATO is not a standards body. I
> > suggest to use the full name in the title and abstract, expand the
> > acronym at first occurrence and correct the text in Section 7.
> 
> The AD/shepherd agrees.
> 
> > request made according to RFC 3406 for a formal URN space type, as
> > described in Section 4.3 of RFC 3406.
> 
> I suppose that I agree with that, too, though I think it's less important.  But
> something like this should do nicely:
> 
> OLD
> (That also removes the reference ("[4]") in the abstract, as the RFC Editor
> doesn't allow references in abstracts.)  And then a similar change in the
> Introduction section.
> 
> The AD/shepherd apologises profusely for his typo: the writeup said "uri-
> review", where it should have said "urn-nid".  I've corrected the error in the
> writeup, and, yes, the review happened.
>

---

From: Jari Arkko <[email-masked]>
Date: Tue, 25 Nov 2014 16:57:08 +0100

Thanks, Dan and Barry. 

Is there a new rev or RFC Editor -notes?

On 20 Nov 2014, at 15:13, Romascanu, Dan (Dan) <[email-masked]> wrote:

> _______________________________________________
> Gen-art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/gen-art

---

From: Barry Leiba <[email-masked]>
Date: Tue, 25 Nov 2014 15:29:42 -0500

There will be a revised I-D.

Barry

On Tuesday, November 25, 2014, Jari Arkko <[email-masked]> wrote:

> On 20 Nov 2014, at 15:13, Romascanu, Dan (Dan) <[email-masked]
> <javascript:;>> wrote:
>
> > Hi Barry,
> >
> > This looks reasonable, thanks for the timely response and for addressing
> my comments. I suggest that the editor also fixes the text in section 7.
> >
> > Regards,
> >
> > Dan
> >
> >
> >> From: [email-masked] <javascript:;> [mailto:[email-masked]
> <javascript:;>] On Behalf Of
> >> Barry Leiba
> >> Cc: [email-masked] <javascript:;>;
> [email-masked] <javascript:;>
> Editor
> "uri-
> > [email-masked] <javascript:;>